<div *ngIf="navbarService.displayEducationDetails && fetchEducationService.isLoading"
     class="spinner-area">
  <mat-spinner class="education-spinner" [diameter]="40" aria-label="Matchning pågår"></mat-spinner>
</div>
<div *ngIf="!fetchEducationService.isLoading">
  <div *ngIf="educationLight && navbarService.displayEducationDetails && education && education.education">
    <h3 class="title" [innerHTML]="getTitle(educationLight)"></h3>
    <mat-card appearance="outlined" class="card-item">
      <mat-card-title></mat-card-title>
      <mat-card-content>
        <div *ngIf="education && education.education">
          <table>
            <tr>
              <td class="datalabel">Id:</td>
              <td class="datavalue"><span *ngIf="education.id">{{education.id}}</span></td>
            </tr>
            <tr>
              <td class="datalabel">Förkunskapskrav:</td>
              <td class="datavalue">
                <span *ngIf="education.education.recommendedPriorKnowledge">{{education.education.recommendedPriorKnowledge}}</span>
                <span *ngIf="!education.education.recommendedPriorKnowledge">-</span>
              </td>
            </tr>
            <tr>
              <td class="datalabel">Nivå:</td>
              <td class="datavalue"><span *ngIf="education.education.level">{{education.education.level}}</span>
                <span *ngIf="!education.education.level">-</span></td>
            </tr>
            <tr>
              <td class="datalabel">Behörighet:</td>
              <td class="datavalue"><span *ngIf="education.education.eligibility">{{education.education.eligibility}}</span>
                <span *ngIf="!education.education.eligibility">-</span></td>
            </tr>
            <tr>
              <td class="datalabel">Typ:</td>
              <td class="datavalue"><span *ngIf="education.education.eligibility">{{education.education.type}}</span>
                <span *ngIf="!education.education.eligibility">-</span></td>
            </tr>
            <tr>
              <td class="datalabel">Poäng:</td>
              <td class="datavalue"><span *ngIf="education.education.credits">{{education.education.credits}}</span>
                <span *ngIf="!education.education.credits">-</span></td>
            </tr>
            <tr>
              <td class="datalabel">Utbildningsform:</td>
              <td class="datavalue"><span *ngIf="education.education.form">{{education.education.form}}</span>
                <span *ngIf="!education.education.form">-</span></td>
            </tr>
            <tr>
              <td class="datalabel">Distansutbildning:</td>
              <td class="datavalue"><span *ngIf="educationLight.distance">Ja</span>
                <span *ngIf="!educationLight.distance">Nej</span></td>
            </tr>
            <tr>
              <td class="datalabel">Beskrivning:</td>
              <td class="datavalue" *ngIf="education.education.description" [innerHTML]="education.education.description"></td>
              <td class="datavalue" *ngIf="!education.education.description">-</td>
            </tr>
          </table>
        </div>
      </mat-card-content>
    </mat-card>
  </div>

  <div *ngIf="educationLight  && navbarService.displayEducationDetails && education && education.providers">
    <h3 class="title">Utbildningsanordnare:<span
      *ngIf="education.providers.length > showNumberOfItems"> (första {{showNumberOfItems}})</span></h3>
    <div *ngFor="let provider of education.providers.slice(0, showNumberOfItems);let i = index">

      <mat-card appearance="outlined" class="card-item">
        <mat-card-title><h3>{{provider.name}}</h3></mat-card-title>
        <mat-card-content>
          <div *ngIf="provider.url">
            <a href="{{provider.url | linkHttp}}" target="_blank">{{provider.url}}</a>
          </div>
        </mat-card-content>
      </mat-card>
    </div>
  </div>

  <div *ngIf="educationLight  && navbarService.displayEducationDetails && education && education.events">
    <h3 class="title">Utbildningstillfällen<span
      *ngIf="education.events.length > showNumberOfItems"> (första {{showNumberOfItems}})</span>:</h3>

    <div *ngFor="let event of education.events.slice(0, showNumberOfItems);let i = index">
      <mat-card appearance="outlined" class="card-item">
        <mat-card-title><h3>{{getEventTitle(event)}}</h3></mat-card-title>
        <mat-card-content>
          <div *ngIf="event.provider">Utbildningsanordnare: {{event.provider}}</div>
          <div *ngIf="event.url">Länk: <a href="{{event.url | linkHttp}}" target="_blank">{{event.url}}</a></div>
          <div *ngIf="event.executionStart">Utbildningsperiod: {{formatDate(event.executionStart)}}<span
            *ngIf="event.executionEnd"> - {{formatDate(event.executionEnd)}}</span></div>
          <div *ngIf="event.lastApplicationDate">Sista ansökningsdag: {{formatDate(event.lastApplicationDate)}}</div>
          <div *ngIf="getMunicipality(event.municipalityCode)">Kommun: {{getMunicipality(event.municipalityCode)}}</div>
          <div *ngIf="getRegion(event.regionCode)">Län: {{getRegion(event.regionCode)}}</div>
          <div *ngIf="event.timeOfStudy">Studietid: {{event.timeOfStudy}}</div>
          <div *ngIf="event.paceOfStudyPercentage">Studietakt: {{event.paceOfStudyPercentage}} %</div>
          <div *ngIf="event.languageOfInstruction">Språk: {{formatLanguage(event.languageOfInstruction)}}</div>
          <div *ngIf="event.tuitionFee">Terminsavgift: {{event.tuitionFee}}</div>
          <div *ngIf="event.itdistance">Nätbaserad utbildning</div>
        </mat-card-content>
      </mat-card>

    </div>
  </div>
</div>
